Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.awt
Class WorldWindowGLJPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      javax.media.opengl.GLJPanel
                          gov.nasa.worldwind.awt.WorldWindowGLJPanel

All Implemented Interfaces:
  WorldWindow, ImageObserver, MenuContainer, Serializable, Accessible, ComponentEvents, GLAutoDrawable, GLDrawable

    public class WorldWindowGLJPanel

extends GLJPanel
implements WorldWindow

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`WorldWindowGLJPanel()` Constructs a new `WorldWindowGLCanvas` window on the default graphics device.
`WorldWindowGLJPanel(WorldWindowGLCanvas shareWith)` Constructs a new `WorldWindowGLJPanel` window on the default graphics device that will share graphics resources with another `WorldWindowGLJPanel` window.
`WorldWindowGLJPanel(WorldWindowGLCanvas shareWith, GraphicsDevice device)` Constructs a new `WorldWindowGLJPanel` window that will share graphics resources with another `WorldWindowGLJPanel` window.

Method Summary
`void` | `addPositionListener(PositionListener listener)`
`void` | `addRenderingListener(RenderingListener listener)`
`void` | `addSelectListener(SelectListener listener)`
`InputHandler` | `getInputHandler()`
`Model` | `getModel()` Returns the window's current model.
`SceneController` | `getSceneController()` Returns the scene controller assocciated with this instance.
`View` | `getView()` Returns this window's current view.
`PickedObjectList` | `pick(Point pickPoint)`
`void` | `removePositionListener(PositionListener listener)`
`void` | `removeRenderingListener(RenderingListener listener)`
`void` | `removeSelectListener(SelectListener listener)`
`void` | `setInputHandler(InputHandler eventSource)`
`void` | `setModel(Model model)` Sets the model to display in this window.
`void` | `setModelAndView(Model model, View view)` Sets the model to display in this window and the view used to display it.
`void` | `setView(View view)` Sets the view to use when displaying this window's model.

Methods inherited from class javax.media.opengl.GLJPanel
`addGLEventListener, addNotify, createContext, display, getAutoSwapBufferMode, getChosenGLCapabilities, getContext, getGL, paintComponent, removeGLEventListener, removeNotify, reshape, setAutoSwapBufferMode, setGL, setOpaque, setRealized, shouldPreserveColorBufferIfTranslucent, swapBuffers`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.media.opengl.GLAutoDrawable
`repaint`

Methods inherited from interface javax.media.opengl.GLDrawable
`getHeight, getWidth, setSize`

Methods inherited from interface javax.media.opengl.ComponentEvents
`addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WorldWindowGLJPanel

    public WorldWindowGLJPanel()

  Constructs a new `WorldWindowGLCanvas` window on the default graphics device.

### WorldWindowGLJPanel

    public WorldWindowGLJPanel(WorldWindowGLCanvas shareWith)

  Constructs a new `WorldWindowGLJPanel` window on the default graphics device that will share graphics resources with another `WorldWindowGLJPanel` window. The other window, `sharewith`, may not be null

  Parameters:
    `shareWith` - a `WorldWindowGLJPanel` with which to share graphics resources.
  Throws:
    `NullPointerException` - if shareWith is null
  See Also:
    `GLCanvas.GLCanvas(GLCapabilities,GLCapabilitiesChooser,GLContext,GraphicsDevice)`

### WorldWindowGLJPanel

    public WorldWindowGLJPanel(WorldWindowGLCanvas shareWith,
                               GraphicsDevice device)

  Constructs a new `WorldWindowGLJPanel` window that will share graphics resources with another `WorldWindowGLJPanel` window. The new window is created on the specified graphics device. Neither `shareWith` or `device` may be null.

  Parameters:
    `shareWith` - a `WorldWindowGLCanvas` with which to share graphics resources.
    `device` - the `GraphicsDevice` on which to create the window.
  Throws:
    `NullPointerException` - if `shareWith` is null
    `IllegalArgumentException` - if `deevice` is null
  See Also:
    `GLCanvas.GLCanvas(GLCapabilities,GLCapabilitiesChooser,GLContext,GraphicsDevice)`

Method Detail

### addPositionListener

    public void addPositionListener(PositionListener listener)

  Specified by:
    `addPositionListener` in interface `WorldWindow`

### addRenderingListener

    public void addRenderingListener(RenderingListener listener)

  Specified by:
    `addRenderingListener` in interface `WorldWindow`

### addSelectListener

    public void addSelectListener(SelectListener listener)

  Specified by:
    `addSelectListener` in interface `WorldWindow`

### getInputHandler

    public InputHandler getInputHandler()

  Specified by:
    `getInputHandler` in interface `WorldWindow`

### getModel

    public Model getModel()

  Description copied from interface: `WorldWindow`
  Returns the window's current model.

  Specified by:
    `getModel` in interface `WorldWindow`
  Returns:
    the window's current model

### getSceneController

    public SceneController getSceneController()

  Description copied from interface: `WorldWindow`
  Returns the scene controller assocciated with this instance.

  Specified by:
    `getSceneController` in interface `WorldWindow`
  Returns:
    The scene controller associated with the instance, or null if no scene controller is associated.

### getView

    public View getView()

  Description copied from interface: `WorldWindow`
  Returns this window's current view.

  Specified by:
    `getView` in interface `WorldWindow`
  Returns:
    the window's current view

### pick

    public PickedObjectList pick(Point pickPoint)

  Specified by:
    `pick` in interface `WorldWindow`

### removePositionListener

    public void removePositionListener(PositionListener listener)

  Specified by:
    `removePositionListener` in interface `WorldWindow`

### removeRenderingListener

    public void removeRenderingListener(RenderingListener listener)

  Specified by:
    `removeRenderingListener` in interface `WorldWindow`

### removeSelectListener

    public void removeSelectListener(SelectListener listener)

  Specified by:
    `removeSelectListener` in interface `WorldWindow`

### setInputHandler

    public void setInputHandler(InputHandler eventSource)

  Specified by:
    `setInputHandler` in interface `WorldWindow`

### setModel

    public void setModel(Model model)

  Description copied from interface: `WorldWindow`
  Sets the model to display in this window. If `null` is specified for the model, the current model, if any, is disassociated with the window.

  Specified by:
    `setModel` in interface `WorldWindow`
  Parameters:
    `model` - the model to display. May be `null`.

### setModelAndView

    public void setModelAndView(Model model,
                                View view)

  Description copied from interface: `WorldWindow`
  Sets the model to display in this window and the view used to display it. If `null` is specified for the model, the current model, if any, is disassociated with the window. If `null` is specified for the view, the current view, if any, is disassociated with the window.

  Specified by:
    `setModelAndView` in interface `WorldWindow`
  Parameters:
    `model` - the model to display. May be`null`.
    `view` - the view to use to display this window's model. May be`null`.

### setView

    public void setView(View view)

  Description copied from interface: `WorldWindow`
  Sets the view to use when displaying this window's model. If `null` is specified for the view, the current view, if any, is disassociated with the window.

  Specified by:
    `setView` in interface `WorldWindow`
  Parameters:
    `view` - the view to use to display this window's model. May be null.

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD